<?php

class Mascot_Core_Tronis_Modify_Widgets {
	private static $instance;
	public $sections = array();

	public function __construct() {
		add_action( 'elementor/element/tm-ele-section-title/subtitle_options_styling/after_section_end', array( $this, 'tm_elementor_subtitle_line_options' ), 10, 2 );
		add_action( 'elementor/element/tm-ele-working-steps/title_options_styling/after_section_end', array( $this, 'tm_elementor_working_steps_options' ), 10, 2 );
	}

	public static function get_instance() {
		if ( self::$instance === null ) {
			return new self();
		}

		return self::$instance;
	}

	public function tm_elementor_subtitle_line_options( $element ){

		$element->start_controls_section(
			'subtitle_extra_options_styling',
			[
				'label' => esc_html__( 'Sub Title Line Color', 'mascot-core-tronis' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$element->add_control(
			'subtitle_wrapper_after_background',
			[
				'label' => esc_html__( "Color", 'mascot-core-tronis' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tm-sc-section-title.line-right-current-theme .title-wrapper .subtitle:after' => 'background: {{VALUE}};'
				]
			]
		);
		$element->end_controls_section();
	}

	public function tm_elementor_working_steps_options( $element ){

		$element->start_controls_section(
			'working_steps_options_styling',
			[
				'label' => esc_html__( 'Working Steps Current Styling', 'mascot-core-tronis' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$element->add_control(
			'working_steps_horizontal_line_background',
			[
				'label' => esc_html__( "Horizontal Line Color", 'mascot-core-tronis' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tm-sc-working-steps.working-steps-horizontal .working-steps-inner .tm-sc-working-steps-item .content-holder:before' => 'background: {{VALUE}};'
				]
			]
		);
		$element->add_control(
			'show_circle',
			[
				'label' => esc_html__( "Hide Small Circle?", 'mascot-core-tronis' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'mascot-core-tronis' ),
				'label_off' => esc_html__( 'Hide', 'mascot-core-tronis' ),
				'default' => 'no',
				'selectors' => [
					'{{WRAPPER}} .tm-sc-working-steps.working-steps-horizontal .working-steps-inner .tm-sc-working-steps-item .image-holder-wrapper .image-holder:after' => 'display: none;'
				],
			]
		);
		$element->end_controls_section();
	}

}

if ( ! function_exists( 'mascot_core_tronis_init_modify_widgets_handler' ) ) {
	function mascot_core_tronis_init_modify_widgets_handler() {
		Mascot_Core_Tronis_Modify_Widgets::get_instance();
	}

	add_action( 'init', 'mascot_core_tronis_init_modify_widgets_handler', 1 );
}